Crystal Space: csGenerateImageTextureBlend Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csGenerateImageTextureBlend Class Reference

a class for a texture that is made by blending together other textures based on a value. More...

`#include <cstool/gentrtex.h>`

Inheritance diagram for csGenerateImageTextureBlend:

[legend]
List of all members.

## Public Member Functions
void | AddLayer (float value, csGenerateImageTexture *tex)
| add a layer correctly sorted into the list
virtual void | GetColor (csColor &col, float x, float y)
| get the color
virtual | ~csGenerateImageTextureBlend ()
| deletes the list too
## Public Attributes
csGenerateImageLayer * | layers
| the list - sorted by value - of layers
csGenerateImageValue * | valuefunc
| the value function object

## Detailed Description

a class for a texture that is made by blending together other textures based on a value.

It has a set of layers to blend between.

Definition at line 163 of file gentrtex.h.

## Constructor & Destructor Documentation

virtual csGenerateImageTextureBlend::~csGenerateImageTextureBlend | ( |  | ) | `[virtual]`

deletes the list too

## Member Function Documentation

void csGenerateImageTextureBlend::AddLayer | ( | float | value,
|  | csGenerateImageTexture * | tex |
| ) |  |  |

add a layer correctly sorted into the list

virtual void csGenerateImageTextureBlend::GetColor | ( | csColor & | col,
|  | float | x,
|  | float | y |
| ) |  |  | `[virtual]`

get the color

Implements csGenerateImageTexture.

## Member Data Documentation

csGenerateImageLayer* csGenerateImageTextureBlend::layers

the list - sorted by value - of layers

Definition at line 168 of file gentrtex.h.

csGenerateImageValue* csGenerateImageTextureBlend::valuefunc

the value function object

Definition at line 170 of file gentrtex.h.

The documentation for this class was generated from the following file:

- cstool/gentrtex.h